<?php

	/********** EN CONSTRUCCIÓN **********/
	
	// Función que crea las cuotas automáticamente.
	function cuotaAuto() {

		require_once 'conexion.php';
		
		$seleccionar = "SELECT Id FROM socios WHERE Id NOT IN(SELECT Id_Socio FROM cuotas WHERE Mes = ? AND Anno = ?)";

		if ($seleccionar_stmt = mysqli_prepare($conexion, $seleccionar)) {
			
			// Ligar parámetros para marcadores.
			mysqli_stmt_bind_param($seleccionar_stmt, "ii", $mes, $anno);

			//Establecer la información local en castellano de España
			$inf_local = setlocale(LC_ALL,"es_ES");

			//Variables que guardan el mes (numérico) y el año atual.
			$mes = strftime("%B");
			$anno = date("Y");
					
			//echo strftime("Hoy es %A y son las %H:%M<br/>");
			//echo strftime("El año es %Y y el mes es %B<br/>");

			/*var_dump($mes);
			echo "<br/>";
			var_dump($anno);
			echo "<br/>";*/

			// Ejecutar la consulta preparada.
			mysqli_stmt_execute($seleccionar_stmt);

			 // Vincular las variables de resultados.
			$res = mysqli_stmt_bind_result($seleccionar_stmt, $Id);

			// Obtener los valores.
		    while (mysqli_stmt_fetch($seleccionar_stmt)) {

		    	echo $Id . "<br/>";

		    }


		    /* obtener los valores */
		    /*while ($fila = mysqli_fetch_array($res)) {
		        
		        echo $fila['Id'] . "<br/>";

		    }*/

		    $numf = mysqli_stmt_num_rows($seleccionar_stmt);

		    if ($numf == 0) {

		    	echo "0 filas";

		    } else {

		    	echo "<p><b>Filas: </b>" . $numf . "</p>";

		    	echo "<p>Se insertará la cuota del mes actual para todos los socios que no la tengan creada</p>";

		    	/*-----------------------------------------------------------------------------------------------------*/

		    	$array = array();

		    	foreach ($array as $Id) {

		    		$insertar = "INSERT INTO cuotas VALUES(?, ?, ?, ?, ?, ?)";
		    	
			    	if ($insertar_stmt = mysqli_prepare($conexion, $insertar)) {
			    	

			    		// Ligar parámetros para marcadores.
			    		mysqli_stmt_bind_param($insertar_stmt, "iisidi", $id_cuota, $id_socio, $mes, $anno, $importe, $pagado);

			    		$id_cuota = NULL;

			    		$id_socio = $Id;
			    		
			    		//El importe actual es un valor temporal. El valor real debe ser el valor predeterminado de la tabla opciones.
			    		$importe = 12.50;

			    		$pagado = 0;

			    		//Ejecutamos la consulta preparada.
			    		mysqli_stmt_execute($insertar_stmt);

			    	}

			    	// Cerrar la sentencia preparada.
			    	mysqli_stmt_close($insertar_stmt);

		    	}

			   

		    }

		    // Cerrar la sentencia preparada.
		    mysqli_stmt_close($seleccionar_stmt);

		}

		mysqli_close($conexion);
			
	}

	cuotaAuto();

?>